gtksourceviewmm 3.18.0

Public Types | Public Member Functions | List of all members
Gsv::SourceCompletionError Class Reference

`#include <gtksourceviewmm/completion.h>`

Inherits Glib::Error.

## Public Types
enum | Code { ALREADY_BOUND , NOT_BOUND }

## Public Member Functions
| SourceCompletionError (Code error_code, const Glib::ustring& error_message)
| SourceCompletionError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

## ◆ Code

enum Gsv::SourceCompletionError::Code

Enumerator
ALREADY_BOUND |
NOT_BOUND |

## Constructor & Destructor Documentation

## ◆ SourceCompletionError() [1/2]

Gsv::SourceCompletionError::SourceCompletionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ SourceCompletionError() [2/2]

Gsv::SourceCompletionError::SourceCompletionError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gsv::SourceCompletionError::code | ( |  | ) | const